Error while installing ROS Indigo in Ubuntu 14.04

I get an error while installing the 4th step of ROS Indigo in Ubuntu 14.04.

sudo apt-get install ros-indigo-desktop-full  

Error:

Errors were encountered while processing:
 /var/cache/apt/archives/python-rosdistro-modules_0.7.0-1_all.deb
 /var/cache/apt/archives/python-rosdistro_0.7.0-100_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Can anyone help me regarding this? I am a new Ubuntu 14.04 user.

Unable to interact with lockscreen after installing bumble bee

I recently installed bumblebee to set my Nvidia gpu as default for steam.

After reboot the lock screen or any display never came up, so I booted into recovery and purged bumblebee,

Upon next reboot, I got it to display the lock screen, but now I cannot interact with it in any way.

I can still use the recovery mode to interact with the root terminal with no issues, and my windows dual boot is working fine as well, so I don’t think it has anything to do with the hardware.

Any assistance will be greatly appreciated.

Thank you

Installing Unity3d on Ubuntu 16.04

According to this blog post I should be able to install the .deb version of the Unity Editor for Ubuntu. I have the recommended system requirements. But when I try to install the .deb file using the sudo dpkg -i mydebfile.deb I get the following errors:

Selecting previously unselected package unity-editor.
(Reading database ... 175283 files and directories currently installed.)
Preparing to unpack unity-editor-5.3.4f1 20160503_amd64.deb ...
Unpacking unity-editor (5.3.4f1) ...
dpkg: dependency problems prevent configuration of unity-editor:
 unity-editor depends on lib32gcc1 (>= 1:4.1.1); however:
  Package lib32gcc1 is not installed.
 unity-editor depends on lib32stdc++6 (>= 4.6); however:
  Package lib32stdc++6 is not installed.
 unity-editor depends on libc6-i386 (>= 2.15); however:
  Package libc6-i386 is not installed.
 unity-editor depends on libpq5; however:
  Package libpq5 is not installed.
 unity-editor depends on npm; however:
  Package npm is not installed.

dpkg: error processing package unity-editor (--install):
 dependency problems - leaving unconfigured
Processing triggers for gnome-menus (3.13.3-6ubuntu3) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu5) ...
Processing triggers for bamfdaemon (0.5.3~bzr0+16.04.20160415-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for mime-support (3.59ubuntu1) ...
Processing triggers for hicolor-icon-theme (0.15-0ubuntu1) ...
Errors were encountered while processing:
 unity-editor

Has anybody successfully installed the Unity3d on Ubuntu 16.04 yet? Please help if you can.

EDIT: I’ve been asked if the question How do I install a .deb file via the command line? has solved my problem. The answer is: No, it hasn’t. The answers in that question might help one learn how to fix broken dependencies using sudo apt-get -f install but that didn’t solve my problem. I had to install each of the missing packages one by one (see comments below). So, I think people coming here for the same problem won’t be able to know that they have to install the packages by hand if the question is marked as a duplicate.

Tutorial for installing augur-node?

I want to run an Augur node on my CentOS machine. I installed node 10.10.0 and I thought I could do an Augur node install with npm install augur-node. However, I don’t know if the package is out of date or what-not but npm clean-start does not work and it says its due to missing dependencies and various other messages. So, that makes me think there is something wrong in the process I’m using. Are there any step-by-step tutorials for installing and starting an augur node?

Installing thermal printer on raspbian jessie (make failing)

Raspbery (in general, linux) newbie here.

I want to install a thermal dot printer in raspbian, and I’ve only gotten as far as the first step, which is to run make for the cups filter, which is this. I think it’s stumbling on the file rastertoxp58.c

Below is what terminal returns when I run make in the directory to which I cloned the repo.

pi@raspberrypi:~/xp58 $ make
gcc -Wl,-rpath,/usr/lib -Wall -fPIC -O3 -c rastertoxp58.c
rastertoxp58.c:17:16: error: redefinition of typedef ‘__sighandler_t’ with different type
 typedef void (*__sighandler_t)();
                ^
In file included from rastertoxp58.c:8:0:
/usr/include/signal.h:85:16: note: previous declaration of ‘__sighandler_t’ was here
 typedef void (*__sighandler_t) (int);
                ^
Makefile:16: recipe for target 'rastertoxp58.o' failed
make: *** [rastertoxp58.o] Error 1

Error installing Theme on GoDaddy Drupal 8.4.5

I have goDaddy and installed Drupal 8.4.5, the newest version they have on their Installation. Trying to install the theme Nexus, when I upload the theme from archive (zip file) and click install I get the following error.

The website encountered an unexpected error. please try again later.

I have tried clearing the cache. I was running Drupal 8.3.2 and it would just go to a blank screen; updating to Drupal 8.4.5 now got me to this error. I have downloaded and tried about 20 different themes. I either get this error or I get that the file is over 2 megabyte and is too big. What am I doing wrong or how do I fix this error?

Windows 10 won’t boot after installing Neon (Ubuntu)

I’ve just installed Ubuntu on an SSD with the intention of setting it up to dual boot with a preexisting installation of Windows 10 on the same SSD but I’m encountering a problem. The problem is very similar in description to the one described in this question which, unfortunately, has not been answered.

When I select to boot into Windows 10 from GRUB, Windows immediately starts doing “Automatic repairs”. The first time that this happened, it finished and rebooted; when I tried to boot Windows again, it was “doing automatic repairs” again for a while, but this time upon completion of the repairs Windows told me that it could not find a fix (and allowed me access to a menu with various troubleshooting options including the command line, resetting Windows, etc.).

Even if I can’t recover Windows 10, I need to know why Windows 10 was messed up by my Ubuntu installation so that I can reinstall both without this issue reoccurring. (I didn’t have any important data on the Windows installation.)

If it’s relevant, I chose to install the boot loader onto the entire disk (dev/sda) rather than just onto the partition where Ubuntu is installed (which is dev/sda4).

installing a locking lug nut

When putting the lug nuts back on after replacing a spare tire you’re supposed to tighten them in a criss-cross pattern. So what do you do if you’re replacing just a single lug nut? Do you go through the motions of tightening the others?

If you had a torque wrench I guess maybe you’d just see if the lug nut was installed with the appropriate torque I guess but I don’t have a torque wrench..

Installing Nest 3rd generation thermostat from Old Trane Weathertron Thermostat (Mercury one)

Nest is not detecting Power (Rh) Showing error that power is not connected. Please help.

Installing Nest 3rd generation thermostat from Old Trane Weathertron Thermostat (Mercury one)

New stat wiring:
new stat wiring

Old stat wiring:
old stat wiring

Nest error:
Nest error

Using WordPress for installing Civi got these errors!

Notice: Use of undefined constant DIR – assumed ‘DIR‘ in /home/yonatony/public_html/wp-content/plugins/civicrm/civicrm/CRM/Core/ClassLoader.php on line 127

Notice: Use of undefined constant DIR – assumed ‘DIR‘ in /home/yonatony/public_html/wp-content/plugins/civicrm/civicrm/CRM/Core/ClassLoader.php on line 104

Notice: Use of undefined constant DIR – assumed ‘DIR‘ in /home/yonatony/public_html/wp-content/plugins/civicrm/civicrm/CRM/Core/ClassLoader.php on line 105

Notice: Use of undefined constant DIR – assumed ‘DIR‘ in /home/yonatony/public_html/wp-content/plugins/civicrm/civicrm/CRM/Core/ClassLoader.php on line 104

Notice: Use of undefined constant DIR – assumed ‘DIR‘ in /home/yonatony/public_html/wp-content/plugins/civicrm/civicrm/CRM/Core/ClassLoader.php on line 105

Fatal error: Class ‘CRM_Core_Config’ not found in /home/yonatony/public_html/wp-content/plugins/civicrm/civicrm/install/index.php on line 138